Page MenuHomePhabricator

Log whether the event is the first interaction of the user with the map
Closed, ResolvedPublic

Description

We met yesterday and by looking at the data, we don't have a good way of detecting the first interaction of the user with a map.

To improve the current schema, we thought of :

  • triggering an additional engaged event when the user starts interacting with the map
  • passing an additional firstInteraction boolean with each events already sent.

I think the latter will give an additional useful information about user interaction, when it will be time to look closer at user interactions.

Details

Related Gerrit Patches:
mediawiki/extensions/WikimediaEvents : masterLog whether the event is the first interaction with the map

Event Timeline

JGirault created this task.Dec 6 2016, 6:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 6 2016, 6:46 PM

Change 325599 had a related patch set uploaded (by JGirault):
Log whether the event is the first interaction with the map

https://gerrit.wikimedia.org/r/325599

JGirault moved this task from Backlog to Needs review on the Maps-Sprint board.Dec 6 2016, 6:53 PM
debt added a subscriber: debt.Dec 8 2016, 9:17 PM

Hi @JGirault - is there anything that the Discovery-Analysis team can do for this ticket?

Change 325599 merged by jenkins-bot:
Log whether the event is the first interaction with the map

https://gerrit.wikimedia.org/r/325599

JGirault moved this task from Needs review to Done on the Maps-Sprint board.Dec 15 2016, 12:06 AM
debt moved this task from Needs triage to Tracking on the Discovery-Analysis board.Jan 3 2017, 9:54 PM
JGirault closed this task as Resolved.Apr 17 2017, 7:41 PM